com.independentsoft.exchange

## Enum ItemIndexError

- java.lang.Object
- - java.lang.Enum<ItemIndexError>
  - - com.independentsoft.exchange.ItemIndexError

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ItemIndexError>

      public enum ItemIndexError
      extends java.lang.Enum<ItemIndexError>

  The Enum ItemIndexError.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTACHMENT_LIMIT_REACHED`
    `DOCUMENT_PARSER_FAILURE`
    `GENERIC_ERROR`
    `MAILBOX_OFFLINE`
    `MARS_WRITER_TRUNCATION`
    `NONE`
    `STALE_EVENT`
    `TIMEOUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemIndexError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ItemIndexError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ItemIndexError NONE

    - #### GENERIC_ERROR

          public static final ItemIndexError GENERIC_ERROR

    - #### TIMEOUT

          public static final ItemIndexError TIMEOUT

    - #### STALE_EVENT

          public static final ItemIndexError STALE_EVENT

    - #### MAILBOX_OFFLINE

          public static final ItemIndexError MAILBOX_OFFLINE

    - #### ATTACHMENT_LIMIT_REACHED

          public static final ItemIndexError ATTACHMENT_LIMIT_REACHED

    - #### MARS_WRITER_TRUNCATION

          public static final ItemIndexError MARS_WRITER_TRUNCATION

    - #### DOCUMENT_PARSER_FAILURE

          public static final ItemIndexError DOCUMENT_PARSER_FAILURE

  - ### Method Detail

    - #### values

          public static ItemIndexError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemIndexError c : ItemIndexError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemIndexError valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null